OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Advanced I/O object traversal helpers

## Functions
static __hwloc_inline hwloc_obj_t | hwloc_get_non_io_ancestor_obj (hwloc_topology_t topology __hwloc_attribute_unused, hwloc_obj_t ioobj)
| Get the first non-I/O ancestor object. More...
static __hwloc_inline hwloc_obj_t | hwloc_get_next_pcidev (hwloc_topology_t topology, hwloc_obj_t prev)
| Get the next PCI device in the system. More...
static __hwloc_inline hwloc_obj_t | hwloc_get_pcidev_by_busid (hwloc_topology_t topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)
| Find the PCI device object matching the PCI bus id given domain, bus device and function PCI bus id.
static __hwloc_inline hwloc_obj_t | hwloc_get_pcidev_by_busidstring (hwloc_topology_t topology, const char *busid)
| Find the PCI device object matching the PCI bus id given as a string xxxx:yy:zz.t or yy:zz.t.
static __hwloc_inline hwloc_obj_t | hwloc_get_next_osdev (hwloc_topology_t topology, hwloc_obj_t prev)
| Get the next OS device in the system. More...
static __hwloc_inline hwloc_obj_t | hwloc_get_next_bridge (hwloc_topology_t topology, hwloc_obj_t prev)
| Get the next bridge in the system. More...
static __hwloc_inline int | hwloc_bridge_covers_pcibus (hwloc_obj_t bridge, unsigned domain, unsigned bus)
static __hwloc_inline hwloc_obj_t | hwloc_get_hostbridge_by_pcibus (hwloc_topology_t topology, unsigned domain, unsigned bus)
| Find the hostbridge that covers the given PCI bus. More...

## Detailed Description

## Function Documentation

static __hwloc_inline hwloc_obj_t hwloc_get_hostbridge_by_pcibus | ( | hwloc_topology_t | topology,
|  | unsigned | domain,
|  | unsigned | bus
| ) |  |
| static

Find the hostbridge that covers the given PCI bus.

This is useful for finding the locality of a bus because it is the hostbridge parent cpuset.

References hwloc_obj::attr, hwloc_obj::cpuset, hwloc_get_next_bridge(), HWLOC_OBJ_BRIDGE, HWLOC_OBJ_BRIDGE_HOST, hwloc_obj::parent, and hwloc_obj::type.

static __hwloc_inline hwloc_obj_t hwloc_get_next_bridge | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |
| static

Get the next bridge in the system.

Returns
  the first bridge if `prev` is `NULL`.

References hwloc_get_next_obj_by_type(), and HWLOC_OBJ_BRIDGE.

Referenced by hwloc_get_hostbridge_by_pcibus().

static __hwloc_inline hwloc_obj_t hwloc_get_next_osdev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |
| static

Get the next OS device in the system.

Returns
  the first OS device if `prev` is `NULL`.

References hwloc_get_next_obj_by_type(), and HWLOC_OBJ_OS_DEVICE.

static __hwloc_inline hwloc_obj_t hwloc_get_next_pcidev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  |
| static

Get the next PCI device in the system.

Returns
  the first PCI device if `prev` is `NULL`.

References hwloc_get_next_obj_by_type(), and HWLOC_OBJ_PCI_DEVICE.

Referenced by hwloc_get_pcidev_by_busid().

static __hwloc_inline hwloc_obj_t hwloc_get_non_io_ancestor_obj | ( | hwloc_topology_t topology | __hwloc_attribute_unused,
|  | hwloc_obj_t | ioobj
| ) |  |
| static

Get the first non-I/O ancestor object.

Given the I/O object `ioobj`, find the smallest non-I/O ancestor object. This regular object may then be used for binding because its locality is the same as `ioobj`.

References hwloc_obj::cpuset, and hwloc_obj::parent.